summaryrefslogtreecommitdiffstats
path: root/haskell/haskell-zlib/haskell-zlib.SlackBuild
diff options
context:
space:
mode:
author Mikko Värri <vmj@linuxbox.fi>2012-06-27 16:13:42 -0400
committer dsomero <xgizzmo@slackbuilds.org>2012-06-27 16:13:42 -0400
commite26b0c8f801d5bb1d881e14dae90cd8b0d9d1fe8 (patch)
tree1619a861c5ff64c4673fd6ce978afcd729c60b11 /haskell/haskell-zlib/haskell-zlib.SlackBuild
parente10303b38c7731d26d2727e68ba9d4fc9e7e816f (diff)
downloadslackbuilds-e26b0c8f801d5bb1d881e14dae90cd8b0d9d1fe8.tar.gz
slackbuilds-e26b0c8f801d5bb1d881e14dae90cd8b0d9d1fe8.tar.xz
haskell/haskell-zlib: Updated for version 0.5.3.3.
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'haskell/haskell-zlib/haskell-zlib.SlackBuild')
-rw-r--r--haskell/haskell-zlib/haskell-zlib.SlackBuild17
1 files changed, 9 insertions, 8 deletions
diff --git a/haskell/haskell-zlib/haskell-zlib.SlackBuild b/haskell/haskell-zlib/haskell-zlib.SlackBuild
index 3bf3f8b419..c7608c45b7 100644
--- a/haskell/haskell-zlib/haskell-zlib.SlackBuild
+++ b/haskell/haskell-zlib/haskell-zlib.SlackBuild
@@ -3,7 +3,7 @@
# Slackware build script for zlib
# Copyright 2010 Peter Wang
-# Copyright 2011 Mikko Värri, Finland
+# Copyright 2012 Mikko Värri, Finland
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,7 +24,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=haskell-zlib
-VERSION=${VERSION:-0.5.3.1}
+VERSION=${VERSION:-0.5.3.3}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -59,7 +59,7 @@ else
LIBDIRSUFFIX=""
fi
-set -e # Exit on most errors
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -76,17 +76,18 @@ find . \
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
-runghc Setup.hs configure \
+runghc Setup configure \
--prefix=/usr \
--enable-shared \
+ --enable-library-profiling \
--libdir=/usr/lib$LIBDIRSUFFIX \
--libsubdir=ghc-$GHC_VERSION/$SRCNAM-$VERSION \
--docdir=/usr/doc/$PRGNAM-$VERSION
-runghc Setup.hs build
-runghc Setup.hs haddock
-runghc Setup.hs copy --destdir=$PKG
-runghc Setup.hs register --gen-pkg-config
+runghc Setup build
+runghc Setup haddock
+runghc Setup copy --destdir=$PKG
+runghc Setup register --gen-pkg-config
PKGCONFD=/usr/lib${LIBDIRSUFFIX}/ghc-${GHC_VERSION}/package.conf.d
PKGID=$( grep -E "^id: " $SRCNAM-$VERSION.conf | cut -d" " -f2 )